> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cawme.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Instâncias

> GET /v1/instances — Lista todas as instâncias do usuário autenticado

`GET /v1/instances`

Retorna todas as instâncias não deletadas do usuário autenticado, ordenadas pela data de criação (mais recentes primeiro).

## Requisição

### Cabeçalhos

| Cabeçalho       | Valor            |
| --------------- | ---------------- |
| `Authorization` | `Bearer <token>` |

## Resposta `200`

Retorna um array de objetos de instância.

| Campo        | Tipo     | Descrição                           |
| ------------ | -------- | ----------------------------------- |
| `id`         | `string` | ID único da instância               |
| `name`       | `string` | Rótulo da instância                 |
| `status`     | `string` | `CREATED`, `CONFIGURED` ou `ACTIVE` |
| `metadata`   | `object` | Metadados da instância              |
| `created_at` | `string` | Timestamp ISO 8601                  |
| `updated_at` | `string` | Timestamp ISO 8601                  |

```json theme={null}
[
  {
    "id": "inst_abc123",
    "name": "sales-team-a",
    "status": "ACTIVE",
    "metadata": {},
    "created_at": "2026-03-01T10:00:00Z",
    "updated_at": "2026-03-01T10:05:00Z"
  },
  {
    "id": "inst_def456",
    "name": "support-line",
    "status": "CONFIGURED",
    "metadata": {},
    "created_at": "2026-02-15T08:00:00Z",
    "updated_at": "2026-02-15T08:10:00Z"
  }
]
```

<Note>
  Instâncias deletadas (status `DELETED`) são excluídas desta listagem.
</Note>

## Erros

| Código | Descrição                 |
| ------ | ------------------------- |
| `401`  | Token ausente ou inválido |

## Exemplo

```bash theme={null}
curl https://cawme.com/api/v1/instances \
  -H "Authorization: Bearer <token>"
```
